using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public enum Direction { Clockwise, CounterClockwise}

public class Movement : MonoBehaviour
{
    public bool Roll = false;

    public Direction Direction = Direction.Clockwise;

    public float Speed;

    public Rigidbody2D rb;

    void Start()
    {
        rb = GetComponent<Rigidbody2D>();
    }

    void FixedUpdate()
    {
        if (Roll && Direction == Direction.Clockwise)
        {
            rb.angularVelocity = -Speed;
        }else if (Roll && Direction == Direction.CounterClockwise)
        {
            rb.angularVelocity = Speed;
        }

        
    }


}